#
# TODO: - unpackaged files:
#		_site-packages/pygame/docs/*
#		_site-packages/pygame/examples/*
#		_site-packages/pygame/gp2x/*
#		_site-packages/pygame/tests/*
#

%define		module	pygame

Summary:	Python modules designed for writing games
Summary(pl.UTF-8):	Moduły Pythona dla piszących gry
Name:		python-%{module}
Version:	1.9.1
Release:	16
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	http://www.pygame.org/ftp/pygame-%{version}release.tar.gz
# Source0-md5:	1c4cdc708d17c8250a2d78ef997222fc
Patch0:		%{name}-porttime.patch
Patch1:		%{name}-remove-v4l.patch
Patch2:		x32.patch
URL:		http://www.pygame.org/
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel >= 2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	portmidi-devel >= 217
BuildRequires:	python-numpy-devel
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	smpeg-devel
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pygame is a set of Python modules designed for writing games. It is
written on top of the excellent SDL library. This allows you to create
fully featured games and multimedia programs in the python language.
The package is highly portable, with games running on Windows, NT4,
MacOS, OSX, BeOS, FreeBSD, IRIX, and Linux.

%description -l pl.UTF-8
Pygame jest zbiorem modułów Pythona zaprojektowanych do pisania gier.
Moduły te zostały napisane na bazie wspaniałej biblioteki SDL. Dzięki
temu możliwe jest tworzenie bogatych w multimedia gier w języku
Python.

%package devel
Summary:	C header files for pygame modules
Summary(pl.UTF-8):	Pliki nagłówkowe języka C modułów pygame
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}-%{release}

%description devel
C header files for pygame modules.

%description devel -l pl.UTF-8
Pliki nagłówkowe języka C modułów pygame.

%prep
%setup -q -n %{module}-%{version}release
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="%{rpmcflags} -I/usr/include/smpeg"; export CFLAGS
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc WHATSNEW docs/*
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.ttf
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/threads/
%{py_sitedir}/%{module}/threads/*.py[co]

%files devel
%defattr(644,root,root,755)
%{py_incdir}/%{module}
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pygame.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1fb6ea3
- release 16 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> df560da
- automatic change: use py_build/py_install macros

* Sun May 10 2015 Jan Rękorajski <baggins@pld-linux.org> c0ac10d
- fix building on x32
- rel 15

* Sun May 10 2015 Jan Rękorajski <baggins@pld-linux.org> 4b53ed7
- x32 rebuild
- release 14 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 356c2e4
- release 13 (by relup.sh)

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 4ad52bf
- drop v4l support
- release 12 (rebuild against libpng-1.5)

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 04f3e12
- new, based on https://bitbucket.org/pygame/pygame/changeset/8296cad31717/raw/

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 84b88e4
- release 11

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 820bff8
- release 10

* Mon Jun 27 2011 Jan Rękorajski <baggins@pld-linux.org> 2a4fef4
- rel 9
- Numeric -> numpy

* Fri Jan 28 2011 lisu <lisu@pld-linux.org> 95bab97
- portmidi BR version updated

* Fri Jan 28 2011 lisu <lisu@pld-linux.org> 8548cde
- rel 8

* Fri Jan 28 2011 lisu <lisu@pld-linux.org> 1c19fc8
- fix build with new portmidi

* Fri Jan 28 2011 lisu <lisu@pld-linux.org> 90735de
- add -porttime.patch which fixes build with new portmidi

* Sat Jan 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 04de5c7
- release 7

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 813d5bb
- release 6

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bf4a20c
- release 5

* Mon Jun 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d6dbfd
- release 4

* Fri Jan 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 81b52cf
- release 3

* Tue Dec 29 2009 sparky <sparky@pld-linux.org> 2256b83
- BR: python-modules, rpm-pythonprov

